## com.sun.jersey.server.probes
Class UriRuleProbeProvider

    java.lang.Object
      com.sun.jersey.server.probes.UriRuleProbeProvider

    public class UriRuleProbeProvider

extends java.lang.Object

A probe provider, for GlassFish monitoring, that reports low-level events when URI rules are matched.

Author:
  pavel.bucek@sun.com

Constructor Summary
`UriRuleProbeProvider()`

Method Summary
`static void` | `requestEnd()` Invoked when matching ends.
`static void` | `requestStart(java.net.URI requestUri)` Invoked when matching starts.
`static void` | `ruleAccept(java.lang.String ruleName, java.lang.CharSequence path, java.lang.Object resourceClass)` Invoked when a UriRule is matched.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UriRuleProbeProvider

    public UriRuleProbeProvider()

Method Detail

### requestStart

    public static void requestStart(java.net.URI requestUri)

  Invoked when matching starts.

  Parameters:
    `requestUri` - the request URI.

### ruleAccept

    public static void ruleAccept(java.lang.String ruleName,
                                  java.lang.CharSequence path,
                                  java.lang.Object resourceClass)

  Invoked when a UriRule is matched.

  Parameters:
    `ruleName` - the URI rule name.
    `path` - the matched path.
    `resourceClass` - the resource instance associated with matching.

### requestEnd

    public static void requestEnd()

  Invoked when matching ends.

Copyright © 2017 Oracle Corporation. All Rights Reserved.